using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GCClipBoard
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridGroupingControl1.DataSource = GetTable();
            this.gridControl1.ClipboardCopy += new Syncfusion.Windows.Forms.Grid.GridCutPasteEventHandler(gridControl1_ClipboardCopy);
            this.gridGroupingControl1.TableModel.ClipboardCopy += new Syncfusion.Windows.Forms.Grid.GridCutPasteEventHandler(TableModel_ClipboardCopy);
        }

        void TableModel_ClipboardCopy(object sender, Syncfusion.Windows.Forms.Grid.GridCutPasteEventArgs e)
        {
            MessageBox.Show("Fired");
        }

        void gridControl1_ClipboardCopy(object sender, Syncfusion.Windows.Forms.Grid.GridCutPasteEventArgs e)
        {
            MessageBox.Show("Fired");

        }
        private DataTable GetTable()
        {
            DataTable dt = new DataTable("MyTable");

            int nCols = 5;
            int nRows = 10;

            for (int i = 0; i < nCols; i++)
            {
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i)));
            }

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                {
                    dr[j] = string.Format("row{0} col{1}", i, j);
                }
                dt.Rows.Add(dr);
            }
            return dt;
        }
    }
}